/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.upgrade.v7_0_6;

import com.liferay.portal.kernel.dao.jdbc.DataAccess;
import com.liferay.portal.kernel.upgrade.UpgradeProcess;
import com.liferay.portal.upgrade.v7_0_6.util.UserGroupTable;

/**
 * @author Jonathan McCann
 */
public class UpgradeUserGroup extends UpgradeProcess {

	@Override
	protected void doUpgrade() throws Exception {
		try {
			connection = DataAccess.getUpgradeOptimizedConnection();

			if (!hasColumnType(UserGroupTable.class, "name", "VARCHAR(255) null")) {
				alter(
					UserGroupTable.class,
					new AlterColumnType("name", "VARCHAR(255) null"));
			}
		}
		finally {
			connection = null;
		}
	}

}